> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/it/documentazione-api/geopard-api-requests-overview/55.-upload-zip-files-over-6-mb.md).

# 55. Carica file zip (oltre 6 MB)

A causa di una limitazione tecnica del provider cloud AWS, il caricamento di file di dimensioni superiori a 6 MB deve essere eseguito in 2 passaggi:

#### **1. Richiedere il link prefirmato per caricare il file direttamente.** <a href="#step1" id="step1"></a>

Come input:

* `fileType` - `yield` OPPURE `soil` OPPURE `applied` OPPURE `adapt` OPPURE `boundary`,
* `farmUuid` (facoltativo) - UUID dell'azienda agricola in cui importare il file.

Come output:

* `uuid` - l'UUID previsto dopo il caricamento e l'elaborazione,
* `farmUuid` - uguale all'input,
* `fileType` - uguale all'input,
* `s3Url` - l'URL usato per caricare il file,
* `s3Fields` - attributi da includere nel modulo di caricamento del file.

I dettagli su come usare `s3Url` e `s3Fields` sono descritti nel secondo passaggio.

Gli attributi sono validi per caricare il file solo per 60 minuti.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation GeneratePresignedPostFileData {
  generatePresignedPostFileData(input:{
    fileType: applied
    farmUuid: "8bba5132-3a92-4ce1-8699-220e78ad68bd"
  } ) {
    uuid
    farmUuid
    fileType
    s3Url
    s3Fields
  }
}

```

{% endcode %}

#### **2. Inviare un file locale a s3Url usando gli attributi predefiniti del modulo di s3Fields.** <a href="#step2" id="step2"></a>

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl --location --request POST '<s3Url>' \
--form 'key="<value_in_s3Fields>"' \
--form 'AWSAccessKeyId="<value_in_s3Fields>"' \
--form 'x-amz-security-token="<value_in_s3Fields>"' \
--form 'policy="<value_in_s3Fields>"' \
--form 'signature="<value_in_s3Fields>"' \
--form 'file=@"<local_file_path>"'
```

{% endcode %}

Le notifiche sull'elaborazione verranno inviate tramite il meccanismo di sottoscrizione descritto in\
[1. Sottoscrizione: ricevere gli eventi](https://docs.geopard.tech/geopard-tutorials/it/documentazione-api/geopard-api-requests-overview/1.-subscription-get-events.md).

{% hint style="info" %}
L'header della risposta include un header `Etag` che, ad esempio, appare così: `Etag: "6fd3e76992738357ab50039f2c60024e"`. Questo valore viene successivamente utilizzato in GraphQL [query getPlatformContext](https://docs.geopard.tech/geopard-tutorials/it/documentazione-api/geopard-api-requests-overview/83.-query-collect-platform-context.md) per monitorare lo stato di avanzamento dell'elaborazione e l'associazione con le entità "Field", "AsAppliedDataset", "YieldDataset" e "SoilDataset".
{% endhint %}

{% hint style="info" %}
Usa `‘Accept-Encoding’:’gzip, deflate, br’`.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/it/documentazione-api/geopard-api-requests-overview/55.-upload-zip-files-over-6-mb.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
